Problèmes et questions concernant les éditions Fluxbox - LXDE - LXQT - Netbook.
Répondre

mise a jour impossible

#1Messageil y a 11 mois

Bonsoir
je suis tout nouveau sur manjaro qui est ma première expérience en dehors de debian depuis ses débuts ou ubuntu pareil.
Cette découverte m'a très agréablment surpris bien que je ne sois pas à l'aise avec. Pourtant, je l'ai bien installé sur mon portable pour le travail.

Depuis un moment, il m'est impossible d'installer ou de faire une mise à jour.
Que ce soit avec le terminal ou le gestionnaire, une terrible incantation apparaît :
"" pacman: error while loading shared libraries: libicuuc.so.58: cannot open shared object file: No such file or directory ""

Please, help me
Modifié en dernier par dubifree le 13 Oct 2017, 13:37, modifié 1 fois.

mise a jour impossible

#2Messageil y a 11 mois

bonjour et bienvenue

perso, j'ai bien ce fichier, pour vérifier :

pacman -Ql | grep libicuuc.so.58
    icu /usr/lib/libicuuc.so.58
    icu /usr/lib/libicuuc.so.58.2

pacman -Q icu
    icu 58.2-1

As-tu le paquet icu d'installé ? tu es bien en stable ? (sinon tu as une autre version?)

Il faudrait que tu nous donne exactement la commande que tu tapes pacman -Syu ? et a quel moment tu as cette erreur ?

mise a jour impossible

#3Messageil y a 11 mois

bonsoir papajoke.
Je suis en stable.
Je tape : sudo pacman -Syu qui me donne directement la réponse.
AInsi que quand je tape "" pacman -Q icu "" ainsi que """ pacman -Ql | grep libicuuc.so.58"""
j'ai la même réponse.
Là je suis sous LXDE qui fonctionne alors que sous gnome cela ne fonctionnait plus.

mise a jour impossible

#4Messageil y a 11 mois

que te donne le retour de

ls -l /usr/lib/libicuuc.so* 

il semble que pacman ai absolument besoin de cette bibliothèque et qu'elle n'est pas a jour chez toi. Donc tu n'as plus de pacman :cartonrouge:

Tu as peut être un fichier /usr/lib/libicuuc.so.58.1 et en désespoir de cause, le re-copier avec la bonne terminaison :saispas:

Quelle iso as-tu utilisé pour ton installation ?

edit: tu n'es pas le seul a avoir ce problème, il y a un même cas à l'inter

mise a jour impossible

#5Messageil y a 11 mois

Et la réponse est la même quand je cherche à installer libicuuc.so.58

mise a jour impossible

#6Messageil y a 11 mois

ls -l /usr/lib/libicuuc.so*
lrwxrwxrwx 1 root root 16 2 avril 2016 /usr/lib/libicuuc.so -> libicuuc.so.57.1
lrwxrwxrwx 1 root root 16 2 avril 2016 /usr/lib/libicuuc.so.57 -> libicuuc.so.57.1
-rwxr-xr-x 1 root root 1727160 2 avril 2016 /usr/lib/libicuuc.so.57.1

mise a jour impossible

#7Messageil y a 11 mois

je viens de lire l'inter ( je ne sais pas ce que c'est ) mais je ne comprends pas l'anglais et ne connais pas les commandes de manjaro.

mise a jour impossible

#8Messageil y a 11 mois

donc tu peux tenter :

sudo cp /usr/lib/libicuuc.so.58.1 /usr/lib/libicuuc.so.58.2
sudo pacman -S icu --force


ps: rien a lire a l'inter car le monsieur ne m'a pas répondu, donc pour l'instant il est bloqué :siffle

Image

mise a jour impossible

#9Messageil y a 11 mois

bien tenté mais

sudo cp /usr/lib/libicuuc.so.58.1 /usr/lib/libicuuc.so.58.2
donne

pacman: error while loading shared libraries: libicuuc.so.58: cannot open shared object file: No such file or directory
ce qui semble logique car je n'ai que libicuuc.so.57.1 et je ne sais pas installer libicuuc.so.58.2

en tout cas merci beaucoup pour ton aide.

mise a jour impossible

#10Messageil y a 11 mois

A l'inter j'avais demandé de forcer en langue anglaise , ce qui peut-être alors ne charge pas icu ? a tester ...

LANG=C pacman -S icu


-------------------

désolé j'avais mal lu ton code tu as la très vielle version 57.1 et non la 58.1 :choc:

sudo cp /usr/lib/libicuuc.so.57.1 /usr/lib/libicuuc.so.58.2
sudo cp /usr/lib/libicuuc.so.57.1 /usr/lib/libicuuc.so.58


Avec quelle iso as tu installé manjaro ? il doit être trop vieux ?

mise a jour impossible

#11Messageil y a 10 mois

le retour :)

Je ne suis pas sur manjaro actuellement et pas avant ce soir tard au mieux . Et je risque d'être sans internet durant quelques jours ensuite.

Tu es tout excusé de ne pas avoir vu ...
J'ai installé je crois me souvenir avec la version net installe il y a si longtemps que je ne m'en souviens plus.
Et j'ai gardé mon /home qui était sous ubuntu mais cela fonctionnait à merveille du moment que je cliquais sur le raccourci en lien avec manjaro - des fois que je fasse machine arrière ...

J'ai mis en stable et manjaro a fonctionné à merveille et bien plus rapide que mon ubuntu .

Dès que je touche à manjaro je fais

sudo cp /usr/lib/libicuuc.so.57.1 /usr/lib/libicuuc.so.58.2
sudo cp /usr/lib/libicuuc.so.57.1 /usr/lib/libicuuc.so.58
ainsi que tu me le proposes et je te donne le résultat.

Merci à toi.

mise a jour impossible

#12Messageil y a 2 mois

de retour sur le forum en ayant retrouvé mon mdp, je veux dire que ta solution était la bonne.

Merci

mise a jour impossible

#13Messageil y a 2 mois

:bjr: C'est un bon notre papajoke hein ? :clindoeil: Lorsque le sujet est résolu, il suffit d'éditer ton premier message et de coché l'icone verte (la première). Je viens de la faire pour toi :biere:

Répondre